<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (11.0.22) on Sat Apr 20 15:06:18 BRT 2024 -->
<title>Class Hierarchy (desafiotcebackend 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2024-04-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (desafiotcebackend 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/daulio/desafiotcebackend/package-tree.html">com.daulio.desafiotcebackend</a>, </li>
<li><a href="com/daulio/desafiotcebackend/config/package-tree.html">com.daulio.desafiotcebackend.config</a>, </li>
<li><a href="com/daulio/desafiotcebackend/controller/package-tree.html">com.daulio.desafiotcebackend.controller</a>, </li>
<li><a href="com/daulio/desafiotcebackend/converter/package-tree.html">com.daulio.desafiotcebackend.converter</a>, </li>
<li><a href="com/daulio/desafiotcebackend/dto/package-tree.html">com.daulio.desafiotcebackend.dto</a>, </li>
<li><a href="com/daulio/desafiotcebackend/exception/package-tree.html">com.daulio.desafiotcebackend.exception</a>, </li>
<li><a href="com/daulio/desafiotcebackend/model/package-tree.html">com.daulio.desafiotcebackend.model</a>, </li>
<li><a href="com/daulio/desafiotcebackend/repository/package-tree.html">com.daulio.desafiotcebackend.repository</a>, </li>
<li><a href="com/daulio/desafiotcebackend/security/package-tree.html">com.daulio.desafiotcebackend.security</a>, </li>
<li><a href="com/daulio/desafiotcebackend/service/package-tree.html">com.daulio.desafiotcebackend.service</a></li>
</ul>
</div>
<div class="contentContainer">
<section>
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/AutenticationDTO.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">AutenticationDTO</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/Car.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">Car</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">CarController</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter"><span class="typeNameLink">CarConverter</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.dto.<a href="com/daulio/desafiotcebackend/dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto"><span class="typeNameLink">CarDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service"><span class="typeNameLink">CarServiceImpl</span></a> (implements com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">Consts</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/CorsConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">CorsConfig</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.<a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html" title="class in com.daulio.desafiotcebackend"><span class="typeNameLink">DesafiotcebackendApplication</span></a></li>
<li class="circle">org.springframework.web.filter.GenericFilterBean (implements org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.DisposableBean, org.springframework.context.EnvironmentAware, org.springframework.core.env.EnvironmentCapable, javax.servlet.Filter, org.springframework.beans.factory.InitializingBean, org.springframework.web.context.ServletContextAware)
<ul>
<li class="circle">org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter (implements org.springframework.context.ApplicationEventPublisherAware, org.springframework.context.MessageSourceAware)
<ul>
<li class="circle">org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter
<ul>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTAutenticateFilter</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.web.filter.OncePerRequestFilter
<ul>
<li class="circle">org.springframework.security.web.authentication.www.BasicAuthenticationFilter
<ul>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTValidateFilter</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/MeController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">MeController</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SecurityConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">SecurityConfig</span></a></li>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Exception.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Exception</span></a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">RuntimeException</span></a>
<ul>
<li class="circle">com.daulio.desafiotcebackend.exception.<a href="com/daulio/desafiotcebackend/exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception"><span class="typeNameLink">RegraNegocioException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/User.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">User</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">UserController</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter"><span class="typeNameLink">UserConverter</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">UserDetailsModel</span></a> (implements org.springframework.security.core.userdetails.UserDetails)</li>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">UserDetailsServiceImpl</span></a> (implements org.springframework.security.core.userdetails.UserDetailsService)</li>
<li class="circle">com.daulio.desafiotcebackend.dto.<a href="com/daulio/desafiotcebackend/dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto"><span class="typeNameLink">UserDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service"><span class="typeNameLink">UserServiceImpl</span></a> (implements com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a>)</li>
<li class="circle">com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">WebConfig</span></a> (implements javax.servlet.Filter)</li>
<li class="circle">org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport (implements org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware)
<ul>
<li class="circle">com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">SwaggerConfig</span></a></li>
</ul>
</li>
<li class="circle">org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter (implements org.springframework.security.config.annotation.web.WebSecurityConfigurer&lt;T&gt;)
<ul>
<li class="circle">com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTConfiguration</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service"><span class="typeNameLink">CarService</span></a></li>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;)
<ul>
<li class="circle">com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">CarRepository</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">CarRepository</span></a></li>
<li class="circle">com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service"><span class="typeNameLink">UserService</span></a></li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2024. All rights reserved.</small></p>
</footer>
</body>
</html>
